From repocop Tue Jan 15 05:48:04 MSK 2019
From: "Repocop Q. A. Robot" <repocop@altlinux.org>

Subject: repocop NMU

- NMU (by repocop). See http://www.altlinux.org/Tools/Repocop
- applied repocop fixes:
  * arch-dep-package-consists-of-usr-share for mailman-docs
  * postclean-03-private-rpm-macros for the spec file
--- a/mailman.spec	2019-01-15 05:48:04.826062416 +0300
+++ b/mailman.spec	2019-01-15 05:48:04.827062404 +0300
@@ -67,6 +67,7 @@
 %package docs
 Group: System/Servers
 Summary: Mailing list manager with built in web access
+BuildArch: noarch
 
 
 %description docs
@@ -77,8 +78,8 @@
 # ALT Linux cummulative patch
 %patch -p1
 
-%__install -pD -m644 alt-linux/mm_cfg.py Mailman/mm_cfg.py.dist.in
-%__install -pD -m644 alt-linux/README.ALT README.ALT
+install -pD -m644 alt-linux/mm_cfg.py Mailman/mm_cfg.py.dist.in
+install -pD -m644 alt-linux/README.ALT README.ALT
 
 sed -i -e 's,@LOCKFILE@,%_lockdir/%name/master-qrunner,g' cron/crontab.in.in
 
@@ -105,7 +106,7 @@
 99_js_templates.patch
 do
 	echo "Patch ($patch):"
-	%__patch -s -p1 < debian/patches/$patch
+	patch -s -p1 < debian/patches/$patch
 done
 
 touch src/*.c
@@ -133,8 +134,8 @@
 
 %install
 find bin -type f -print0 |
-	xargs -r0 %__grep -Zl '%__python$' |
-	xargs -r0 %__subst 's|%__python$|%__python -O|g'
+	xargs -r0 grep -Zl '%__python$' |
+	xargs -r0 sed -i 's|%__python$|%__python -O|g'
 
 %make_install doinstall \
 	DESTDIR=$RPM_BUILD_ROOT \
@@ -148,24 +149,24 @@
 chmod a-s,go-r $RPM_BUILD_ROOT%_var_prefix
 
 # Create directories we'll use for log and spool files. Create links
-%__install -d -m2771 $RPM_BUILD_ROOT%_logdir/%name
-%__install -d -m2770 $RPM_BUILD_ROOT%_spooldir/%name
-%__install -d -m2771 $RPM_BUILD_ROOT%_spooldir/%name/{archive,bounces,commands,in,news,out,qfiles,retry,shunt,virgin}
+install -d -m2771 $RPM_BUILD_ROOT%_logdir/%name
+install -d -m2770 $RPM_BUILD_ROOT%_spooldir/%name
+install -d -m2771 $RPM_BUILD_ROOT%_spooldir/%name/{archive,bounces,commands,in,news,out,qfiles,retry,shunt,virgin}
 
 ln -s ../../log/%name $RPM_BUILD_ROOT%_var_prefix/logs
 ln -s ../../spool/%name $RPM_BUILD_ROOT%_var_prefix/qfiles
 
 # Copy an icons into the web server's icons directory.
-%__mkdir_p $RPM_BUILD_ROOT%contentdir
-%__mv $RPM_BUILD_ROOT%prefix/icons $RPM_BUILD_ROOT%contentdir/
+mkdir -p $RPM_BUILD_ROOT%contentdir
+mv $RPM_BUILD_ROOT%prefix/icons $RPM_BUILD_ROOT%contentdir/
 
 # Install a logrotate control file.
-%__install -pD -m644 alt-linux/%name.logrotate \
+install -pD -m644 alt-linux/%name.logrotate \
 	$RPM_BUILD_ROOT%logrotate/%name
 
 # Install the httpd configuration file.
-%__install -pD -m644 /dev/null $RPM_BUILD_ROOT%httpdconfdir/%name.conf
-%__sed -e 's|@CODEDIR@|%_exec_prefix|g;s|@DATADIR@|%_var_prefix|g' \
+install -pD -m644 /dev/null $RPM_BUILD_ROOT%httpdconfdir/%name.conf
+sed -e 's|@CODEDIR@|%_exec_prefix|g;s|@DATADIR@|%_var_prefix|g' \
 	alt-linux/%name-httpd.conf > $RPM_BUILD_ROOT%httpdconfdir/%name.conf
 
 # Install crontab file
@@ -175,11 +176,11 @@
 install -pD -m755 misc/mailman $RPM_BUILD_ROOT%_initdir/%name
 
 # Install config files for postfix
-%__install -pD -m644 alt-linux/mm_config.py $RPM_BUILD_ROOT%_sysconfdir/%name/mm_config.py
-%__install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/%name/aliases
-%__install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/%name/virtual-mailman
-%__install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/%name/aliases.db
-%__install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/%name/virtual-mailman.db
+install -pD -m644 alt-linux/mm_config.py $RPM_BUILD_ROOT%_sysconfdir/%name/mm_config.py
+install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/%name/aliases
+install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/%name/virtual-mailman
+install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/%name/aliases.db
+install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/%name/virtual-mailman.db
 install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/%name/aliases.cdb
 install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/%name/virtual-mailman.cdb
 
@@ -202,8 +203,8 @@
 install -m755 -pd $RPM_BUILD_ROOT%_var/run/%name
 
 # Remove unused files
-%__rm -f $RPM_BUILD_ROOT%_sysconfdir/%name/sitelist.cfg
-%__rm -rf $RPM_BUILD_ROOT%_datadir/%name/tests
+rm -f $RPM_BUILD_ROOT%_sysconfdir/%name/sitelist.cfg
+rm -rf $RPM_BUILD_ROOT%_datadir/%name/tests
 
 %pre
 /usr/sbin/groupadd -rf %mm_group ||:
